Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Java] Class AbstractOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions

All Implemented Interfaces:
  Serializable

    public abstract class AbstractOptions

Base class for compilation-related options.

Authors:
  Hans Dockter

Method Summary
`void` | `define(Map args)`
`protected List` | `excludedFieldsFromOptionMap()`
`protected Map` | `fieldName2AntMap()`
`protected Map` | `fieldValue2AntMap()`
`Map` | `optionMap()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### define

    public void define(@Nullable Map args)

### excludedFieldsFromOptionMap

    protected List excludedFieldsFromOptionMap()

### fieldName2AntMap

    protected Map fieldName2AntMap()

### fieldValue2AntMap

    protected Map fieldValue2AntMap()

### optionMap

    public Map optionMap()

Gradle API 1.1-rc-1